Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface DynamicConfigurator

public interface DynamicConfigurator

Enables a task to control unknown attributes and elements.

Since:
  Ant 1.5
Author:
  Erik Hatcher

Method Summary
`java.lang.Object` | `createDynamicElement(java.lang.String name)` Create an element with the given name
`void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)` Set a named attribute to the given value

Method Detail

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String name,
                                    java.lang.String value)
                             throws BuildException

  Set a named attribute to the given value

  Parameters:
    `name` - the name of the attribute
    `value` - the new value of the attribute
  Throws:
    `BuildException` - when any error occurs

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String name)
                                          throws BuildException

  Create an element with the given name

  Parameters:
    `name` - the element nbame
  Returns:
    the element created
  Throws:
    `BuildException` - when any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.